<?php

$now = new \DateTimeImmutable('now');
$formatter = new \IntlDateFormatter('fr_FR.UTF8', IntlDateFormatter::FULL, IntlDateFormatter::FULL, 'Europe/Paris');

?><!DOCTYPE html>
<html lang="fr">
	<head>
		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1" />
		<title>Monitoring</title>
	</head>
	<body>
		<h1>
			Monitoring
			<small><?php echo $formatter->format($now); ?></small>
		</h1>

		<h2>Processeur</h2>
		<details>
			<summary>Détails</summary>	
			<pre><?php $output = ''; exec('cat /proc/cpuinfo', $output); echo implode(PHP_EOL, $output); ?></pre>
		</details>
		<p>
			<img src="cpu-daily.svg" />
		</p>
		<p>
			<img src="load-daily.svg" />
		</p>


		<h2>Mémoire</h2>
		<details>
			<summary>Détails</summary>	
			<pre><?php $output = ''; exec('cat /proc/meminfo', $output); echo implode(PHP_EOL, $output); ?></pre>
		</details><p>
			<img src="mem-daily.svg" />
		</p>

		<h2>Réseau</h2>
		<details>
			<summary>Détails</summary>	
			<pre><?php $output = ''; exec('cat /proc/net/dev', $output); echo implode(PHP_EOL, $output); ?></pre>
		</details><p>
			<img src="net-daily.svg" />
		</p>

		<h2>Disque</h2>
		<details>
			<summary>Détails</summary>	
			<pre><?php $output = ''; exec('df -hlT -x tmpfs -x devtmpfs --total 2>/dev/null', $output); echo implode(PHP_EOL, $output); ?></pre>
		</details><p>
			<img src="disk-daily.svg" />
		</p>

	</body>
</html>
